site_name: Fab Academy docs page - Sam
site_url: https://pages.gitlab.io/mkdocs
site_dir: public
repo_url: https://gitlab.waag.org/make/fablab/interns/2025/sam/
theme: 
 name: material
 palette:
  scheme: slate
 features:
 - search.suggest
 - search.highlight
 - toc.follow
 icon:
  repo: fontawesome/brands/gitlab


plugins:
  - search

markdown_extensions:
  - toc:
      permalink: true
  - tables
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
  - admonition
  - pymdownx.details